sircbot
=======

a small IRC bot for use with git hooks, cronjobs, scripts etc


Compile
-------

To build sircbot you need a C compiler and GNU make. To build the lua
module you need Lua 5.1, 5.2 or 5.3.

To compile sircbot run:

    make


You can set various compile options in config.mk:

    CFLAGS=-Os
    LUA_VERSION=5.2


Running the server
------------------

start the server with:

    sircbot -s SERVER -n NICK '#channel1' '#channel2'

It connects to server and joins given channels. When a channel is joined
it creates a unix socket /var/run/sircbot/<#channel> which can connected to
with sircbot-send.


Sending messages
----------------

To send to a connected channel use:

    echo "$message" | sircbot-send '#channel1'

sircbot-send will send everything from stdin to given channel.

For every message that goes to the channel, sircbot will run all scripts in
/etc/sircbot.d/<#channel>/ with sender, message and channel name as arguments.


Sending message with Lua
------------------------

Example script which explains how to send a message with Lua

    local sircbot = require('sircbot')
    local client = sircbot.connect('#channel')

    client:send("hello")


